#!/bin/bash
echo 書庫リスト表示
if [ $# -gt 2 ]; then
	echo "複数のファイルは指定できません"
	exit 1
fi
ext=${1##*.}
ext=$(echo "$ext" | tr 'A-Z' 'a-z')
echo $ext
if [  $ext = 'lzh' ]; then
    lha lg "$1"
elif [ $ext = 'zip' ]; then
    unzip -l "$1"
elif [ $ext = 'tar' ]; then
    tar tvf "$1"
else
    gzip -dc "$1" |tar tvf - 
fi
