#!/bin/bash
echo "スクリーンショット回転"
dest="$1"
shift
if [ -f "$dest" ];then
	dest=${dest%/*}
fi
for i in "$@";do
	nam=${i##*/}
	convert -rotate 270 "$i" "$dest/$nam"
	if [ $? = 0 ];then
		echo "$i を $dest に回転してコピーしました"
	else
		echo "$i の $dest への回転コピーは失敗しました"
	fi
done
echo "終了しました"
