#!/usr/bin/perl
use Time::Local;
$suf = shift @ARGV;
$ext = shift @ARGV;
$op = shift @ARGV;
if ( $op != "-u" || $op != "-a" ) {
	die "Usage :  -u | -a filelist";
}
$src = shift @ARGV;
$dest = shift @ARGV;
while ( $#ARGV >= 0 ) {
	$f = shift @ARGV;
	$f =~/^\s*(\d*)\s*([\d\-]*)\s*([\d:]*)\s*(.*)$/;
	($date ,$ti, $filename ) = ($2 ,$3, $4);
	if ( -f "$dest/$filename" ) {
		if ( $op == "-u" ) {
			$date =~/^(\d{2,4})[^\d](\d{2})[^\d](\d{2})/;
			if ( $1 > 99 ) {
				($y,$m,$d ) = ( $1, $2, $3);
				$y -= 1900;
				$ti =~/^(\d{2})[^\d](\d{2})[^\d](\d{2})/;
				($hh,$mm,$ss) = ($1,$2,$3);
			} else {
				($y,$m,$d ) = ( $3, $1, $2);
				if ( $y < 70 ) {
					$y += 100;
				}
				$ti =~/^(\d{2})[^\d](\d{2})/;
				($hh,$mm) = ($1,$2);
				$ss = 0;
			}
			$m -= 1;
			$time = timelocal($ss,$mm ,$hh,$d,$m,$y);
			@atr = stat("$dest/$filename");
			if ($time > $atr[9] ){
				push(tgt,$filename);
			}
		}
	} else {
		push(tgt,$filename);
	}
}
if ( @tgt > 0 ) {
	if ( $ext eq "lzh" ) {
		@cmd = ( "lha" ,"egfq1w=$dest","$src",@tgt);
	}elsif ( $ext eq "zip" ) {
		@cmd = ( "unzip", "-o" , "-d", "$dest", "$src", @tgt );
	}elsif ( $ext eq "tar" ) {
		@cmd = ( "tar", "xvf" ,"$src","-C","$dest",@tgt );
	}else{
		$dd = $0;
		$dd=~s/[^\/]*$//;
		@cmd = ( "$dd"."fl_untgz.sh" ,"$suf","$src","$dest",@tgt);
	}
	if ( $suf == "sudo" ) {
		@cmd = ( "sudo" , @cmd );
	}
	system @cmd;
}
