#!/bin/bash
if [ $# -gt 2 ]; then
	echo "複数のファイルは指定できません"
	exit 127
fi
if [ "$1" = "" ];then
	dir="/"
elif [ ! -d "$1" ] ;then
	dir=${1%/*}
	dir="$dir/"
else
	dir="$1/"
fi
echo "検索中です...."
if [ -z $(which sudo) ];then
	files=$(find "$dir" -name "$2")
else
	files=$(sudo find "$dir" -name "$2")
fi
IFS=$'\n'
if [ -z "${files}" ]; then
	echo "検索対象に該当するファイルはありません"
	exit 1
fi
qcop3 QPE/Application/filelaunch 'setFileSelection(QString,QString,QStringList)' "検索結果 : $2" "$dir" ${files} 2>/dev/null &
