#!/bin/bash
echo "削除"

replydlg () {
	if [ $1 = "yna" ] ;then
		qshdlg message -c utf8 -t "$2" -C "message,reply" -m -N -d "$3"  -v "y,n,a" -l "はい,いいえ,すべていいえ" 2>/dev/null
		result=$?
	elif [ $1 = "yns" ] ;then
		qshdlg message -c utf8 -t "$2" -C "message,reply" -m -N -d "$3"  -v "y,n,s" -l "はい,いいえ,すべてはい" 2>/dev/null
		result=$?
	else
		qshdlg message -c utf8 -t "$2" -C "message,reply" -m -N -d "$3"  -v "y,n" -l "はい,いいえ" 2>/dev/null
		result=$?
	fi
	if [ $result = 1 ] ;then
		result=2
	elif [ $result = 0 ];then
		result=3
	fi
}

qshflag="$(which qshdlg)"
qshall=0
ef=0
for i in "$@";do
	if [ ! -L "$i" ] && [ -d "$i" ]; then
		if [ ! -z $qshflag ] && [ $qshall = 0 ] ; then
			replydlg yns "ディレクトリ削除" "$i はディレクトリですが、本当に削除しますか？"
			if [ $result = 2 ];then
				/bin/rm -fR "$i"
			elif [ $result = 4 ];then
				qshall=1
				/bin/rm -fR "$i"
			fi
		else 
			/bin/rm -fR "$i"
		fi
	else
		/bin/rm -f "$i"
	fi
	if [ $? != 0 ];then
		echo "$i の削除に失敗しました"
		ef=1
		if [ ! -z "$(which sudo)" ] && [ ! -z $qshflag ] ; then
			replydlg yna "ルート権限" "$i の 削除をルート権限で再試行しますか？"
			if [ $result = 2 ]; then
				if [ ! -L "$i" ] && [ -d "$i" ]; then
					replydlg yna "ルート権限" "$i はディレクトリですが、本当に削除をルート権限で再試行しますか？"
					if [ $result = 2 ]; then
						sudo /bin/rm -fR "$i"
						if [ $? = 0 ]; then
							echo "ルート権限で $i を削除しました"
							ef=0
						else
							echo "ルート権限でも $i の 削除は失敗しました"
						fi
					fi
				else 
					sudo /bin/rm -f "$i"
					if [ $? = 0 ]; then
						echo "ルート権限で $i を削除しました"
						ef=0
					else
						echo "ルート権限でも $i の $削除は失敗しました"
					fi
				fi
			elif [ $result = 4 ]; then
				qshflag=""
			fi
		fi
	fi
done
exit $ef
