#!/bin/bash
if [ -z $(which qshdlg) ];then
    echo "qshdlg をインストールしてください"
    exit 1
fi
echo "名前を変えてコピー（ルート権限）"
if [ $# -gt 2 ]; then
	echo "複数のファイルは指定できません"
	exit 1
fi
qshdlg -s -n -t "名前を変えてコピー" -c utf8 reply -b "y,n" -l "はい,いいえ" 2>/dev/null &
ef=0
sudo /bin/cp -ia "$1" "$2" </var/spool/qshdlg/input >/var/spool/qshdlg/output 2>&1
if [ $? = 0 ];then
	echo "$1 の $2 へのコピーを実行しました"
else
	echo "$1 の $2 へのコピーは失敗しました"
	ef=1
fi
echo 'reject()' >/var/spool/qshdlg/control
exit $ef
