#!/bin/bash
echo tar.gz作成
dest="$1"
shift
ext=${dest##*.}
ext=$(echo "$ext" | tr 'A-Z' 'a-z')
if [ "$ext" = 'gz' ];then
	dest=$(echo "$dest" | sed -e 's/\.gz$//')
else
	dest=$dest.tar
fi
dir="$1"
shift
tar cvf "$dest" "$@" -C "$dir"
if [ $? = 0 ];then
	gzip -f "$dest"
	if [ $? = 0 ];then
		echo "$dest.gz を作成しました"
	else
		echo "$destのgzip圧縮は失敗しました"
	fi
else
	echo "$destの作成は失敗しました"
fi
