#!/bin/bash
if [ -z $(which nkf) ];then
	echo "nkf をインストールしてください"
	exit 127
fi
echo "テキストを EUC に変換"
if [ -f "$1" ];then
	dest=${1%/*}
else
	dest="$1"
fi
shift
if [ ${1%/*} = $dest ];then
	echo "***同じディレクトリにはコピーできません***"
	exit 127
fi
for i in "$@";do
	b=${i##*/}
	echo $b
	nkf -e "$i" >"$dest/$b"
	if [ $? = 0 ];then
		echo "$i を EUC 変換して$destにコピーしました"
	else
		echo "$1 の EUC 変換は失敗しました"
	fi
done
