#!/bin/bash
echo モード変更
replydlg () {
    if [ $1 = "yna" ] ;then
        qshdlg message -c utf8 -t "$2" -C "message,reply" -m -N -d "$3"  -v "y,n,a" -l "はい,いいえ,すべていいえ" 2>/dev/null
        result=$?
    else
        qshdlg message -c utf8 -t "$2" -C "message,reply" -m -N -d "$3"  -v "y,n" -l "はい,いいえ" 2>/dev/null
        result=$?
    fi
    if [ $result = 1 ] ;then
        result=2
    elif [ $result = 0 ];then
        result=3
    fi
}


mode="$1"
shift
if [ "$(isfat "$1")" = "FAT" ];then
	echo "FATファイルシステムではパーミッションの変更はできません"
	echo "(777に固定です)"
	exit 1
fi
ef=0
qshflag="$(which qshdlg)"
for i in "$@";do
	/bin/chmod "$mode" "$i"
	if [ $? = 0 ];then
		echo "$i のパーミッションを $mode に設定しました"
	else
		echo "$i のパーミッション変更が失敗しました"
		ef=1
		if [ ! -z $qshflag ] && [ ! -z "$(which sudo)" ]; then
			replydlg yna "ルート権限" "$i のパーミッション変更をルート権限で再試行しますか？"
			if [ $result = 2 ];then
				sudo /bin/chmod "$mode" "$i"
				if [ $? = 0 ];then
					echo "ルート権限で $i のパーミッションを $mode に設定しました"
					ef=0
				else
					echo "ルート権限でも $i のパーミッション設定は失敗しました"
				fi
			elif [ $result = 4 ];then
				qshflag=""
			fi
		fi
	fi
done
exit $ef
