#!/bin/bash
echo シンボリックリンク作成
replydlg () {
    if [ $1 = "yna" ] ;then
        qshdlg message -c utf8 -t "$2" -C "message,reply" -m -N -d "$3"  -v "y,n,a" -l "はい,いいえ,すべていいえ" 2>/dev/null
        result=$?
    else
        qshdlg message -c utf8 -t "$2" -C "message,reply" -m -N -d "$3"  -v "y,n" -l "はい,いいえ" 2>/dev/null
        result=$?
    fi
    if [ $result = 1 ] ;then
        result=2
    elif [ $result = 0 ];then
        result=3
    fi
}

dest="$1"
shift
#if [ "$(isfat "$dest")" = "FAT" ];then
#	echo "FATファイルシステムにはシンボリックリンクは作成できません"
#	exit 1
echo ${dest%/*}
if [ "$(isfat "${dest%/*}/")" = "FAT" ];then
	echo "FATファイルシステムにはシンボリックリンクは作成できません"
	exit 1
fi
ef=0
qshflag="$(which qshdlg)"
for i in "$@";do
	ln -s "$i" "$dest"
	if [ $? = 0 ];then
		echo "$i にリンクするシンボリックリンク を $dest に作成しました"
	else
		echo "$i にリンクするシンボリックリンク は作成できませんでした"
		ef=1
		if [ ! -z $qshflag ] && [ ! -z "$(which sudo)" ]; then
			replydlg yna "ルート権限"  " $i にリンクするシンボリックリンクの $dest への作成をルート権限で再試行しますか？"
			if [ $result = 2 ]; then
				sudo ln -s "$i" "$dest"
				if [ $? = 0 ]; then
					echo "ルート権限で $i にリンクするシンボリックリンク を $dest に作成しました"
				else
					echo "ルート権限でも $i にリンクするシンボリックリンク は作成できませんでした"
				fi
			elif [ $result = 4 ]; then
				qshflag=""
			fi
		fi
	fi
done
exit $ef
