#!/bin/bash
echo 名前の変更
replydlg () {
    if [ $1 = "yna" ] ;then
        qshdlg message -c utf8 -t "$2" -C "message,reply" -m -N -d "$3"  -v "y,n,a" -l "はい,いいえ,すべていいえ" 2>/dev/null
        result=$?
    else
        qshdlg message -c utf8 -t "$2" -C "message,reply" -m -N -d "$3"  -v "y,n" -l "はい,いいえ" 2>/dev/null
        result=$?
    fi
    if [ $result = 1 ] ;then
        result=2
    elif [ $result = 0 ];then
        result=3
    fi
}

if [ $1 = "sudo" ];then
	shift
	if [ "$(isfat "$1")" = "FAT" ];then
		suf="sudo "
	else
		suf=""
	fi
else
	suf=""
fi
if [ $# -gt 2 ]; then
	echo "複数のファイルは指定できません"
	exit 127
fi
qshflag="$(which qshdlg)"
dir=${1%/*}
$suf /bin/mv "$1" "$dir/$2"
if [ $? = 0 ];then
	echo ${1##*/} を ${2##*/} に変更しました
else
	echo ${1##*/} の ${2##*/} への変更は失敗しました
	if [ -z $suf ] && [ ! -z $qshflag ] && [ ! -z "$(which sudo)" ]; then
		replydlg yn "ルート権限" "$1 の $2 への変更をルート権限で再試行しますか？" 
		if [ $result = 2 ]; then
			sudo /bin/mv  "$1" "$dir/$2"
			if [ $? = 0 ]; then
				echo "ルート権限で ${1##*/} を ${2##*/} に変更しました"
				exit 0
			else
				echo "ルート権限でも ${1##*/} の ${2##*/} への変更は失敗しました。"
			fi
		fi
	fi
	exit 1
fi
