#!/bin/bash
echo "同期コピー"
if [ $# -gt 2 ]; then
	echo "複数のファイルは指定できません"
	exit 127
fi
src="$1"
dest="$2"
if [ -f "$dest" ];then
	dest=${dest%/*}
fi

if [ -z $(which sudo) ];then
	rsync -avu "$src" "$dest"
else
	sudo rsync -avu "$src" "$dest"
fi
if [ $? = 0 ];then
	echo "$src を $dest にコピーしました"
else
	echo "$src の $dest へのコピーは失敗しました"
fi
