#!/bin/bash
if [ -z $(which qshdlg) ];then
	echo "qshdlg をインストールしてください"
	exit 127
fi
echo "ルート権限による移動"
dest="$1"
shift
if [ -f "$dest" ];then
	dest=${dest%/*}
fi
qshdlg -s -n -t "ルート権限による移動" -c utf8 reply -b "y,n" -l "はい,いいえ" 2>/dev/null &
ef=0
for i in "$@";do
    sudo /bin/mv -i "$i" "$dest" </var/spool/qshdlg/input >/var/spool/qshdlg/output 2>&1
	if [ $? = 0 ];then
		echo "$i の $dest への移動を実行しました"
	else
		echo "$i の $dest への移動は失敗しました"
		ef=127
	fi
done
echo 'reject()' >/var/spool/qshdlg/control
echo "移動を終了しました"
exit $ef
